#! /bin/sh
# Normalize HTML tags in the file named on the command line, or
# provided in stdin, supplying omitted tags.  This is sometimes
# necessary to help html-pretty produce correctly indented output.
#
# This script is a simple, but convenient, interface to sgmlnorm,
# the general SGML tag norm normalizer.
#
# Usage:
#	html-norm [sgmlnorm-options] <in-html-file >out-html-file
#	html-norm [sgmlnorm-options] in-html-file >out-html-file
#
# [14-Dec-1996]

# Where the SGML catalog file resides:
H=/usr/local/lib/html-check/lib

# Where the sgmlnorm executable resides:
SGMLNORM=/usr/local/bin/sgmlnorm

# We always want comments to be preserved:
SGMLNORMOPTS=-kc

$SGMLNORM -c $H/catalog $SGMLNORMOPTS "$@"
